<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    public function up(): void
    {
        Schema::create('ekspedisis', function (Blueprint $table) {
            $table->id();

            // Nama ekspedisi
            $table->string('nama'); // JNE, J&T, SiCepat

            // Kode opsional (buat API nanti)
            $table->string('kode')->nullable(); // jne, jnt, sicepat

            // Estimasi pengiriman (opsional)
            $table->string('estimasi')->nullable(); // 1-2 hari

            // Ongkir default (opsional)
            $table->decimal('ongkir', 12, 2)->default(0);

            $table->timestamps();
        });
    }

    public function down(): void
    {
        Schema::dropIfExists('ekspedisis');
    }
};